IF "%1" == "--help" GOTO HELP
GOTO AFTERHELP
:HELP
REM
REM Usage:
REM    makewindist --help
REM      display this help message
REM    makewindist
REM      1) build the release
REM      DeinoMPI must be the current directory and it must have been configured
REM
REM
REM Prerequisites:
REM  Microsoft Developer Studio .NET 2003 or later
REM  Intel Fortran 8.0 or later
REM  This batch file should be run in a command prompt with the MS DevStudio environment variables set
GOTO END
:AFTERHELP
IF "%DevEnvDir%" == "" GOTO WARNING
GOTO AFTERWARNING
:WARNING
REM
REM Warning: It is recommended that you use the prompt started from the "Visual Studio Command Prompt" shortcut in order to set the paths to the tools.  You can also call vsvars32.bat to set the environment before running this script.
PAUSE
if %errorlevel% NEQ 0 goto END
REM
:AFTERWARNING
IF "%1" == "" GOTO BUILD
REM
REM Unknown option: %1
REM
GOTO HELP
:BUILD
:BUILD_DEBUG
IF "%2" == "" GOTO BUILD_RELEASE
REM Building the Debug targets
devenv.com DeinoMPI.sln /build "ch3ssmDebug|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "Debug|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "fortDebug|x64" /project "DeinoFMPIf" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "fortDebug|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "ufortDebug|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com examples\examples.sln /project cpi /build "Debug|x64" /nologo
REM if %errorlevel% NEQ 0 goto BUILDERROR
:BUILD_RELEASE
devenv.com DeinoMPI.sln /build "ch3ssmRelease|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "ch3ssmPRelease|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "Release|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "fortRelease|x64" /project "DeinoFMPIf" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "fortRelease|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /build "ufortRelease|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com DeinoMPI.sln /project cxx /build "Debug|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
devenv.com src\util\logging\rlog\rlogtools.sln /build "Release|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
REM cd maint
REM call makegcclibs.bat
REM cd ..
devenv.com examples\examples.sln /project cpi /build "Release|x64" /nologo
REM if %errorlevel% NEQ 0 goto BUILDERROR
REM devenv.com mpich2.sln /build Installer /nologo
REM if %errorlevel% NEQ 0 goto BUILDERROR
cd src\pm\Deino
devenv.com DeinoMPI.sln /build "Release|x64" /nologo
if %errorlevel% NEQ 0 goto BUILDERROR
cd ..\..\..
GOTO END
:BUILDERROR
REM Build failed, exiting
GOTO END
:END
