/* (C) 2009 Deino Software */

#include "mpi_fortimpl.h"

#ifndef MPICH_MPI_FROM_PMPI
#ifdef F77_NAME_UPPER
#define mpi_allgather_ PMPI_ALLGATHER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allgather_ pmpi_allgather__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allgather_ pmpi_allgather
#else
#define mpi_allgather_ pmpi_allgather_
#endif
#define MPI_Allgather PMPI_Allgather 

#ifdef F77_NAME_UPPER
#define mpi_allgatherv_ PMPI_ALLGATHERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allgatherv_ pmpi_allgatherv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allgatherv_ pmpi_allgatherv
#else
#define mpi_allgatherv_ pmpi_allgatherv_
#endif
#define MPI_Allgatherv PMPI_Allgatherv 

#ifdef F77_NAME_UPPER
#define mpi_allreduce_ PMPI_ALLREDUCE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allreduce_ pmpi_allreduce__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allreduce_ pmpi_allreduce
#else
#define mpi_allreduce_ pmpi_allreduce_
#endif
#define MPI_Allreduce PMPI_Allreduce 

#ifdef F77_NAME_UPPER
#define mpi_alltoall_ PMPI_ALLTOALL
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoall_ pmpi_alltoall__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoall_ pmpi_alltoall
#else
#define mpi_alltoall_ pmpi_alltoall_
#endif
#define MPI_Alltoall PMPI_Alltoall 

#ifdef F77_NAME_UPPER
#define mpi_alltoallv_ PMPI_ALLTOALLV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoallv_ pmpi_alltoallv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoallv_ pmpi_alltoallv
#else
#define mpi_alltoallv_ pmpi_alltoallv_
#endif
#define MPI_Alltoallv PMPI_Alltoallv 

#ifdef F77_NAME_UPPER
#define mpi_alltoallw_ PMPI_ALLTOALLW
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoallw_ pmpi_alltoallw__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoallw_ pmpi_alltoallw
#else
#define mpi_alltoallw_ pmpi_alltoallw_
#endif
#define MPI_Alltoallw PMPI_Alltoallw 

#ifdef F77_NAME_UPPER
#define mpi_bcast_ PMPI_BCAST
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bcast_ pmpi_bcast__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bcast_ pmpi_bcast
#else
#define mpi_bcast_ pmpi_bcast_
#endif
#define MPI_Bcast PMPI_Bcast 

#ifdef F77_NAME_UPPER
#define mpi_bsend_init_ PMPI_BSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bsend_init_ pmpi_bsend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bsend_init_ pmpi_bsend_init
#else
#define mpi_bsend_init_ pmpi_bsend_init_
#endif
#define MPI_Bsend_init PMPI_Bsend_init 

#ifdef F77_NAME_UPPER
#define mpi_bsend_ PMPI_BSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bsend_ pmpi_bsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bsend_ pmpi_bsend
#else
#define mpi_bsend_ pmpi_bsend_
#endif
#define MPI_Bsend PMPI_Bsend 

#ifdef F77_NAME_UPPER
#define mpi_buffer_attach_ PMPI_BUFFER_ATTACH
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_buffer_attach_ pmpi_buffer_attach__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_buffer_attach_ pmpi_buffer_attach
#else
#define mpi_buffer_attach_ pmpi_buffer_attach_
#endif
#define MPI_Buffer_attach PMPI_Buffer_attach 

#ifdef F77_NAME_UPPER
#define mpi_buffer_detach_ PMPI_BUFFER_DETACH
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_buffer_detach_ pmpi_buffer_detach__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_buffer_detach_ pmpi_buffer_detach
#else
#define mpi_buffer_detach_ pmpi_buffer_detach_
#endif
#define MPI_Buffer_detach PMPI_Buffer_detach 

#ifdef F77_NAME_UPPER
#define mpi_exscan_ PMPI_EXSCAN
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_exscan_ pmpi_exscan__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_exscan_ pmpi_exscan
#else
#define mpi_exscan_ pmpi_exscan_
#endif
#define MPI_Exscan PMPI_Exscan 

#ifdef F77_NAME_UPPER
#define mpi_gather_ PMPI_GATHER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_gather_ pmpi_gather__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_gather_ pmpi_gather
#else
#define mpi_gather_ pmpi_gather_
#endif
#define MPI_Gather PMPI_Gather 

#ifdef F77_NAME_UPPER
#define mpi_gatherv_ PMPI_GATHERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_gatherv_ pmpi_gatherv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_gatherv_ pmpi_gatherv
#else
#define mpi_gatherv_ pmpi_gatherv_
#endif
#define MPI_Gatherv PMPI_Gatherv 

#ifdef F77_NAME_UPPER
#define mpi_get_ PMPI_GET
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_get_ pmpi_get__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_get_ pmpi_get
#else
#define mpi_get_ pmpi_get_
#endif
#define MPI_Get PMPI_Get 

#ifdef F77_NAME_UPPER
#define mpi_ibsend_ PMPI_IBSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ibsend_ pmpi_ibsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ibsend_ pmpi_ibsend
#else
#define mpi_ibsend_ pmpi_ibsend_
#endif
#define MPI_Ibsend PMPI_Ibsend 

#ifdef F77_NAME_UPPER
#define mpi_irecv_ PMPI_IRECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_irecv_ pmpi_irecv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_irecv_ pmpi_irecv
#else
#define mpi_irecv_ pmpi_irecv_
#endif
#define MPI_Irecv PMPI_Irecv 

#ifdef F77_NAME_UPPER
#define mpi_irsend_ PMPI_IRSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_irsend_ pmpi_irsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_irsend_ pmpi_irsend
#else
#define mpi_irsend_ pmpi_irsend_
#endif
#define MPI_Irsend PMPI_Irsend 

#ifdef F77_NAME_UPPER
#define mpi_isend_ PMPI_ISEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_isend_ pmpi_isend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_isend_ pmpi_isend
#else
#define mpi_isend_ pmpi_isend_
#endif
#define MPI_Isend PMPI_Isend 

#ifdef F77_NAME_UPPER
#define mpi_issend_ PMPI_ISSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_issend_ pmpi_issend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_issend_ pmpi_issend
#else
#define mpi_issend_ pmpi_issend_
#endif
#define MPI_Issend PMPI_Issend 

#ifdef F77_NAME_UPPER
#define mpi_put_ PMPI_PUT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_put_ pmpi_put__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_put_ pmpi_put
#else
#define mpi_put_ pmpi_put_
#endif
#define MPI_Put PMPI_Put 

#ifdef F77_NAME_UPPER
#define mpi_recv_init_ PMPI_RECV_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_recv_init_ pmpi_recv_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_recv_init_ pmpi_recv_init
#else
#define mpi_recv_init_ pmpi_recv_init_
#endif
#define MPI_Recv_init PMPI_Recv_init 

#ifdef F77_NAME_UPPER
#define mpi_recv_ PMPI_RECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_recv_ pmpi_recv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_recv_ pmpi_recv
#else
#define mpi_recv_ pmpi_recv_
#endif
#define MPI_Recv PMPI_Recv 

#ifdef F77_NAME_UPPER
#define mpi_reduce_scatter_ PMPI_REDUCE_SCATTER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_reduce_scatter_ pmpi_reduce_scatter__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_reduce_scatter_ pmpi_reduce_scatter
#else
#define mpi_reduce_scatter_ pmpi_reduce_scatter_
#endif
#define MPI_Reduce_scatter PMPI_Reduce_scatter 

#ifdef F77_NAME_UPPER
#define mpi_reduce_ PMPI_REDUCE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_reduce_ pmpi_reduce__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_reduce_ pmpi_reduce
#else
#define mpi_reduce_ pmpi_reduce_
#endif
#define MPI_Reduce PMPI_Reduce 

#ifdef F77_NAME_UPPER
#define mpi_rsend_init_ PMPI_RSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_rsend_init_ pmpi_rsend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_rsend_init_ pmpi_rsend_init
#else
#define mpi_rsend_init_ pmpi_rsend_init_
#endif
#define MPI_Rsend_init PMPI_Rsend_init 

#ifdef F77_NAME_UPPER
#define mpi_rsend_ PMPI_RSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_rsend_ pmpi_rsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_rsend_ pmpi_rsend
#else
#define mpi_rsend_ pmpi_rsend_
#endif
#define MPI_Rsend PMPI_Rsend 

#ifdef F77_NAME_UPPER
#define mpi_scan_ PMPI_SCAN
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scan_ pmpi_scan__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scan_ pmpi_scan
#else
#define mpi_scan_ pmpi_scan_
#endif
#define MPI_Scan PMPI_Scan 

#ifdef F77_NAME_UPPER
#define mpi_scatter_ PMPI_SCATTER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scatter_ pmpi_scatter__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scatter_ pmpi_scatter
#else
#define mpi_scatter_ pmpi_scatter_
#endif
#define MPI_Scatter PMPI_Scatter 

#ifdef F77_NAME_UPPER
#define mpi_scatterv_ PMPI_SCATTERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scatterv_ pmpi_scatterv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scatterv_ pmpi_scatterv
#else
#define mpi_scatterv_ pmpi_scatterv_
#endif
#define MPI_Scatterv PMPI_Scatterv 

#ifdef F77_NAME_UPPER
#define mpi_send_init_ PMPI_SEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_send_init_ pmpi_send_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_send_init_ pmpi_send_init
#else
#define mpi_send_init_ pmpi_send_init_
#endif
#define MPI_Send_init PMPI_Send_init 

#ifdef F77_NAME_UPPER
#define mpi_send_ PMPI_SEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_send_ pmpi_send__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_send_ pmpi_send
#else
#define mpi_send_ pmpi_send_
#endif
#define MPI_Send PMPI_Send 

#ifdef F77_NAME_UPPER
#define mpi_sendrecv_ PMPI_SENDRECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_sendrecv_ pmpi_sendrecv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_sendrecv_ pmpi_sendrecv
#else
#define mpi_sendrecv_ pmpi_sendrecv_
#endif
#define MPI_Sendrecv PMPI_Sendrecv 

#ifdef F77_NAME_UPPER
#define mpi_sendrecv_replace_ PMPI_SENDRECV_REPLACE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_sendrecv_replace_ pmpi_sendrecv_replace__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_sendrecv_replace_ pmpi_sendrecv_replace
#else
#define mpi_sendrecv_replace_ pmpi_sendrecv_replace_
#endif
#define MPI_Sendrecv_replace PMPI_Sendrecv_replace 

#ifdef F77_NAME_UPPER
#define mpi_ssend_init_ PMPI_SSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ssend_init_ pmpi_ssend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ssend_init_ pmpi_ssend_init
#else
#define mpi_ssend_init_ pmpi_ssend_init_
#endif
#define MPI_Ssend_init PMPI_Ssend_init 

#ifdef F77_NAME_UPPER
#define mpi_ssend_ PMPI_SSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ssend_ pmpi_ssend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ssend_ pmpi_ssend
#else
#define mpi_ssend_ pmpi_ssend_
#endif
#define MPI_Ssend PMPI_Ssend 

#ifdef F77_NAME_UPPER
#define mpi_win_create_ PMPI_WIN_CREATE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_win_create_ pmpi_win_create__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_win_create_ pmpi_win_create
#else
#define mpi_win_create_ pmpi_win_create_
#endif
#define MPI_Win_create PMPI_Win_create 

#ifdef F77_NAME_UPPER
#define mpi_accumulate_ PMPI_ACCUMULATE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_accumulate_ pmpi_accumulate__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_accumulate_ pmpi_accumulate
#else
#define mpi_accumulate_ pmpi_accumulate_
#endif
#define MPI_Accumulate PMPI_Accumulate 

#else

#ifdef F77_NAME_UPPER
#define mpi_allgather_ MPI_ALLGATHER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allgather_ mpi_allgather__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allgather_ mpi_allgather
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_allgatherv_ MPI_ALLGATHERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allgatherv_ mpi_allgatherv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allgatherv_ mpi_allgatherv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_allreduce_ MPI_ALLREDUCE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_allreduce_ mpi_allreduce__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_allreduce_ mpi_allreduce
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_alltoall_ MPI_ALLTOALL
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoall_ mpi_alltoall__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoall_ mpi_alltoall
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_alltoallv_ MPI_ALLTOALLV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoallv_ mpi_alltoallv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoallv_ mpi_alltoallv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_alltoallw_ MPI_ALLTOALLW
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_alltoallw_ mpi_alltoallw__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_alltoallw_ mpi_alltoallw
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_bcast_ MPI_BCAST
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bcast_ mpi_bcast__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bcast_ mpi_bcast
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_bsend_init_ MPI_BSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bsend_init_ mpi_bsend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bsend_init_ mpi_bsend_init
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_bsend_ MPI_BSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_bsend_ mpi_bsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_bsend_ mpi_bsend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_buffer_attach_ MPI_BUFFER_ATTACH
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_buffer_attach_ mpi_buffer_attach__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_buffer_attach_ mpi_buffer_attach
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_buffer_detach_ MPI_BUFFER_DETACH
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_buffer_detach_ mpi_buffer_detach__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_buffer_detach_ mpi_buffer_detach
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_exscan_ MPI_EXSCAN
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_exscan_ mpi_exscan__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_exscan_ mpi_exscan
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_gather_ MPI_GATHER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_gather_ mpi_gather__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_gather_ mpi_gather
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_gatherv_ MPI_GATHERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_gatherv_ mpi_gatherv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_gatherv_ mpi_gatherv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_get_ MPI_GET
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_get_ mpi_get__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_get_ mpi_get
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_ibsend_ MPI_IBSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ibsend_ mpi_ibsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ibsend_ mpi_ibsend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_irecv_ MPI_IRECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_irecv_ mpi_irecv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_irecv_ mpi_irecv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_irsend_ MPI_IRSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_irsend_ mpi_irsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_irsend_ mpi_irsend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_isend_ MPI_ISEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_isend_ mpi_isend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_isend_ mpi_isend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_issend_ MPI_ISSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_issend_ mpi_issend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_issend_ mpi_issend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_put_ MPI_PUT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_put_ mpi_put__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_put_ mpi_put
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_recv_init_ MPI_RECV_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_recv_init_ mpi_recv_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_recv_init_ mpi_recv_init
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_recv_ MPI_RECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_recv_ mpi_recv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_recv_ mpi_recv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_reduce_scatter_ MPI_REDUCE_SCATTER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_reduce_scatter_ mpi_reduce_scatter__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_reduce_scatter_ mpi_reduce_scatter
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_reduce_ MPI_REDUCE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_reduce_ mpi_reduce__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_reduce_ mpi_reduce
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_rsend_init_ MPI_RSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_rsend_init_ mpi_rsend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_rsend_init_ mpi_rsend_init
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_rsend_ MPI_RSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_rsend_ mpi_rsend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_rsend_ mpi_rsend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_scan_ MPI_SCAN
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scan_ mpi_scan__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scan_ mpi_scan
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_scatter_ MPI_SCATTER
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scatter_ mpi_scatter__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scatter_ mpi_scatter
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_scatterv_ MPI_SCATTERV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_scatterv_ mpi_scatterv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_scatterv_ mpi_scatterv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_send_init_ MPI_SEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_send_init_ mpi_send_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_send_init_ mpi_send_init
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_accumulate_ MPI_ACCUMULATE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_accumulate_ mpi_accumulate__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_accumulate_ mpi_accumulate
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_win_create_ MPI_WIN_CREATE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_win_create_ mpi_win_create__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_win_create_ mpi_win_create
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_ssend_ MPI_SSEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ssend_ mpi_ssend__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ssend_ mpi_ssend
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_ssend_init_ MPI_SSEND_INIT
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_ssend_init_ mpi_ssend_init__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_ssend_init_ mpi_ssend_init
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_sendrecv_replace_ MPI_SENDRECV_REPLACE
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_sendrecv_replace_ mpi_sendrecv_replace__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_sendrecv_replace_ mpi_sendrecv_replace
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_sendrecv_ MPI_SENDRECV
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_sendrecv_ mpi_sendrecv__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_sendrecv_ mpi_sendrecv
/* Else leave name alone */
#endif

#ifdef F77_NAME_UPPER
#define mpi_send_ MPI_SEND
#elif defined(F77_NAME_LOWER_2USCORE)
#define mpi_send_ mpi_send__
#elif !defined(F77_NAME_LOWER_USCORE)
#define mpi_send_ mpi_send
/* Else leave name alone */
#endif


#endif /* MPICH_MPI_FROM_PMPI */

#include "fprotos.h"

FORT_DLL_SPEC void FORT_CALL mpi_accumulate_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1))
{
	*ierr = MPI_Accumulate( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, *v6, (MPI_Datatype)(*v7), *v8, *v9 );
}

FORT_DLL_SPEC void FORT_CALL mpi_win_create_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1))
{
	*ierr = MPI_Win_create( v1, *v2, *v3, (MPI_Info)(*v4), (MPI_Comm)(*v5), v6 );
}

FORT_DLL_SPEC void FORT_CALL mpi_ssend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Ssend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_ssend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Ssend_init( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_replace_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }

	if (v9 == MPI_F_STATUS_IGNORE) { v9 = (MPI_Fint*)MPI_STATUS_IGNORE; }
	*ierr = MPI_Sendrecv_replace( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, *v6, *v7, (MPI_Comm)(*v8), (MPI_Status *)v9 );
}

FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, void*v6 FORT_MIXED_LEN(d2), MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *v10, MPI_Fint *v11, MPI_Fint *v12, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }

	if (v12 == MPI_F_STATUS_IGNORE) { v12 = (MPI_Fint*)MPI_STATUS_IGNORE; }
	*ierr = MPI_Sendrecv( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, v6, *v7, (MPI_Datatype)(*v8), *v9, *v10, (MPI_Comm)(*v11), (MPI_Status *)v12 );
}

FORT_DLL_SPEC void FORT_CALL mpi_send_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Send( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_send_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Send_init( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_scatterv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v5 == MPIR_F_MPI_IN_PLACE) v5 = MPI_IN_PLACE;
	*ierr = MPI_Scatterv( v1, v2, v3, (MPI_Datatype)(*v4), v5, *v6, (MPI_Datatype)(*v7), *v8, (MPI_Comm)(*v9) );
}

FORT_DLL_SPEC void FORT_CALL mpi_scatter_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v4 == MPIR_F_MPI_IN_PLACE) v4 = MPI_IN_PLACE;
	*ierr = MPI_Scatter( v1, *v2, (MPI_Datatype)(*v3), v4, *v5, (MPI_Datatype)(*v6), *v7, (MPI_Comm)(*v8) );
}

FORT_DLL_SPEC void FORT_CALL mpi_scan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Scan( v1, v2, *v3, (MPI_Datatype)(*v4), *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_rsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Rsend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_rsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Rsend_init( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_reduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Reduce( v1, v2, *v3, (MPI_Datatype)(*v4), *v5, *v6, (MPI_Comm)(*v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_reduce_scatter_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Reduce_scatter( v1, v2, v3, (MPI_Datatype)(*v4), *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_recv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }

	if (v7 == MPI_F_STATUS_IGNORE) { v7 = (MPI_Fint*)MPI_STATUS_IGNORE; }
	*ierr = MPI_Recv( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Status *)v7 );
}

FORT_DLL_SPEC void FORT_CALL mpi_recv_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Recv_init( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_put_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Put( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, *v6, (MPI_Datatype)(*v7), *v8 );
}

FORT_DLL_SPEC void FORT_CALL mpi_issend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Issend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_isend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Isend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_irsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Irsend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_irecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Irecv( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_ibsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Ibsend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_get_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Get( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, *v6, (MPI_Datatype)(*v7), *v8 );
}

FORT_DLL_SPEC void FORT_CALL mpi_gatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Gatherv( v1, *v2, (MPI_Datatype)(*v3), v4, v5, v6, (MPI_Datatype)(*v7), *v8, (MPI_Comm)(*v9) );
}

FORT_DLL_SPEC void FORT_CALL mpi_gather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Gather( v1, *v2, (MPI_Datatype)(*v3), v4, *v5, (MPI_Datatype)(*v6), *v7, (MPI_Comm)(*v8) );
}

FORT_DLL_SPEC void FORT_CALL mpi_exscan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){
	*ierr = MPI_Exscan( v1, v2, *v3, (MPI_Datatype)(*v4), *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_buffer_detach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1)){
	void *t1 = v1;
	*ierr = MPI_Buffer_detach( &t1, v2 );
}

FORT_DLL_SPEC void FORT_CALL mpi_buffer_attach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Buffer_attach( v1, *v2 );
}

FORT_DLL_SPEC void FORT_CALL mpi_bsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Bsend( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_bsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Bsend_init( v1, *v2, (MPI_Datatype)(*v3), *v4, *v5, (MPI_Comm)(*v6), (MPI_Request *)(v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_bcast_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *ierr  FORT_END_LEN(d1)){
	*ierr = MPI_Bcast( v1, *v2, (MPI_Datatype)(*v3), *v4, (MPI_Comm)(*v5) );
}

FORT_DLL_SPEC void FORT_CALL mpi_alltoallw_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint v2[], MPI_Fint v3[], MPI_Fint v4[], void*v5 FORT_MIXED_LEN(d2), MPI_Fint v6[], MPI_Fint v7[], MPI_Fint v8[], MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){
	*ierr = MPI_Alltoallw( v1, v2, v3, v4, v5, v6, v7, v8, (MPI_Comm)(*v9) );
}

FORT_DLL_SPEC void FORT_CALL mpi_alltoallv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){
	*ierr = MPI_Alltoallv( v1, v2, v3, (MPI_Datatype)(*v4), v5, v6, v7, (MPI_Datatype)(*v8), (MPI_Comm)(*v9) );
}

FORT_DLL_SPEC void FORT_CALL mpi_alltoall_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){
	*ierr = MPI_Alltoall( v1, *v2, (MPI_Datatype)(*v3), v4, *v5, (MPI_Datatype)(*v6), (MPI_Comm)(*v7) );
}

FORT_DLL_SPEC void FORT_CALL mpi_allreduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Allreduce( v1, v2, *v3, (MPI_Datatype)(*v4), *v5, (MPI_Comm)(*v6) );
}

FORT_DLL_SPEC void FORT_CALL mpi_allgatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Allgatherv( v1, *v2, (MPI_Datatype)(*v3), v4, v5, v6, (MPI_Datatype)(*v7), (MPI_Comm)(*v8) );
}

FORT_DLL_SPEC void FORT_CALL mpi_allgather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2)){

	if (MPIR_F_NeedInit){ mpirinitf_(); MPIR_F_NeedInit = 0; }
	if (v1 == MPIR_F_MPI_IN_PLACE) v1 = MPI_IN_PLACE;
	*ierr = MPI_Allgather( v1, *v2, (MPI_Datatype)(*v3), v4, *v5, (MPI_Datatype)(*v6), (MPI_Comm)(*v7) );
}
