/* -*- Mode: C; c-basic-offset:4 ; -*- */
/*
 *  (C) 2001 by Argonne National Laboratory.
 *	  See COPYRIGHT in top-level directory.
 */

#ifndef FPROTOS_H
#define FPROTOS_H

/* fprotos.h.  Generated automatically by winconfigure.  */

extern FORT_DLL_SPEC void FORT_CALL mpi_accumulate_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_allgather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_allgatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_allreduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoall_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoallv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoallw_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint v2[], MPI_Fint v3[], MPI_Fint v4[], void*v5 FORT_MIXED_LEN(d2), MPI_Fint v6[], MPI_Fint v7[], MPI_Fint v8[], MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_bcast_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_bsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_bsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_buffer_attach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_buffer_detach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_exscan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_gather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_gatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_get_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ibsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_irecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_irsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_isend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_issend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_accumulate_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_allgather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_allgatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_allreduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoall_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoallv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_alltoallw_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint v2[], MPI_Fint v3[], MPI_Fint v4[], void*v5 FORT_MIXED_LEN(d2), MPI_Fint v6[], MPI_Fint v7[], MPI_Fint v8[], MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_bcast_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_bsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_bsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_buffer_attach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_buffer_detach_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_exscan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_gather_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_gatherv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_get_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ibsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_irecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_irsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_isend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_issend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_put_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_recv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_recv_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_reduce_scatter_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_reduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_rsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_rsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_scan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_scatter_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_scatterv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_send_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, void*v6 FORT_MIXED_LEN(d2), MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *v10, MPI_Fint *v11, MPI_Fint *v12, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_send_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_replace_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ssend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ssend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_put_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_win_create_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_recv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_recv_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_reduce_scatter_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_reduce_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_rsend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_rsend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_scan_ ( void*v1 FORT_MIXED_LEN(d1), void*v2 FORT_MIXED_LEN(d2), MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_scatter_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, void*v4 FORT_MIXED_LEN(d2), MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_scatterv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, void*v5 FORT_MIXED_LEN(d2), MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_send_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, void*v6 FORT_MIXED_LEN(d2), MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *v10, MPI_Fint *v11, MPI_Fint *v12, MPI_Fint *ierr  FORT_END_LEN(d1) FORT_END_LEN(d2));
extern FORT_DLL_SPEC void FORT_CALL mpi_send_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_sendrecv_replace_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *v8, MPI_Fint *v9, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ssend_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_ssend_init_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *v7, MPI_Fint *ierr  FORT_END_LEN(d1));
extern FORT_DLL_SPEC void FORT_CALL mpi_win_create_ ( void*v1 FORT_MIXED_LEN(d1), MPI_Fint *v2, MPI_Fint *v3, MPI_Fint *v4, MPI_Fint *v5, MPI_Fint *v6, MPI_Fint *ierr  FORT_END_LEN(d1));

#endif
