/* (C) 2009 by Deino Software */

#ifndef MPICHCONF_H
#define MPICHCONF_H

/* mpichconf.h.  Generated automatically by winconfigure.  */

/* define if char * is byte pointer */
/* #undef CHAR_PTR_IS_BYTE */

/* define to enable collection of statistics */
/* #undef COLLECT_STATS */

/* Define to 1 if using `alloca.c'. */
/* #undef C_ALLOCA */

/* The value of false in Fortran */
#define F77_FALSE_VALUE 0

/* Define if Fortran names are lowercase */
/* #undef F77_NAME_LOWER */

/* Define if Fortran names are lowercase with a trailing underscore */
/* #undef F77_NAME_LOWER_USCORE */

/* Define if Fortran names preserve the original case */
/* #undef F77_NAME_MIXED */

/* Define if Fortran names are uppercase */
/* #undef F77_NAME_UPPER */

/* Define if Fortran environment should be determined at runtime */
/* #undef F77_RUNTIME_VALUES */

/* The value of true in Fortran */
#define F77_TRUE_VALUE -1

/* Define if we know the value of Fortran true and false */
#define F77_TRUE_VALUE_SET 1

/* Directory to use in namepub */
/* #undef FILE_NAMEPUB_BASEDIR */

/* Define if addresses are larger than Fortran integers */
#define HAVE_AINT_LARGER_THAN_FINT 1

/* Define to 1 if you have the `alarm' function. */
/* #undef HAVE_ALARM */

/* Define to 1 if you have `alloca', as a function or macro. */
#define HAVE_ALLOCA 1
#define alloca _alloca

/* Define to 1 if you have the `clock_getres' function. */
/* #undef HAVE_CLOCK_GETRES */

/* Define to 1 if you have the `clock_gettime' function. */
/* #undef HAVE_CLOCK_GETTIME */

/* Define if C++ is supported */
#define HAVE_CXX_BINDING 1

/* define if the compiler supports exceptions */
#define HAVE_CXX_EXCEPTIONS 1

/* Define if debugger support is included */
/* #undef HAVE_DEBUGGER_SUPPORT */

/* Define to 1 if you have the <endian.h> header file. */
/* HAVE_ENDIAN_H */

/* Define to 1 if you have the <errno.h> header file. */
#define HAVE_ERRNO_H 1

/* Define to enable error checking */
#define HAVE_ERROR_CHECKING MPID_ERROR_LEVEL_ALL
/*#undef HAVE_ERROR_CHECKING*/

/* Define if Fortran integer are the same size as C ints */
/* #undef HAVE_FINT_IS_INT */

/* Define if Fortran is supported */
/* #undef HAVE_FORTRAN_BINDING */

/* Define if using gcc on a system with an IA64 class chip */
/* #undef HAVE_GCC_AND_IA64_ASM */

/* Define if using gcc on a system with an Intel Pentium class chip */
/* #undef HAVE_GCC_AND_PENTIUM_ASM */

/* Define if using gcc on a system with an AMD x86_64 class chip */
/* #undef HAVE_GCC_AND_X86_64_ASM */

/* Define if GNU __attribute__ is supported */
/* #undef HAVE_GCC_ATTRIBUTE */

/* Define to 1 if you have the `gethrtime' function. */
/* #undef HAVE_GETHRTIME */

/* Define to 1 if you have the `gettimeofday' function. */
/*#define HAVE_GETTIMEOFDAY 1*/

/* Define if int16_t is supported by the C compiler */
/* #undef HAVE_INT16_T */

/* Define if int32_t is supported by the C compiler */
/* #undef HAVE_INT32_T */

/* Define if int64_t is supported by the C compiler */
/* #undef HAVE_INT64_T */

/* Define to 1 if you have the <inttypes.h> header file. */
/* #undef HAVE_INTTYPES_H */

/* Define when alignment of structures is based on largest component */
/* #undef HAVE_LARGEST_STRUCT_ALIGNMENT */

/* Define to 1 if you have the <limits.h> header file. */
#define HAVE_LIMITS_H

/* Define if long double is supported */
#define HAVE_LONG_DOUBLE 1

/* Define if long long allowed */
/* #undef HAVE_LONG_LONG */

/* Define if long long is supported */
#define HAVE_LONG_LONG_INT 1

/* Controls byte alignment of integer structures (for MPI structs) */
#define HAVE_MAX_FP_ALIGNMENT 8

/* Controls byte alignment of integer structures (for MPI structs) */
#define HAVE_MAX_INTEGER_ALIGNMENT 4

/* Define to 1 if you have the <memory.h> header file. */
/* #undef HAVE_MEMORY_H */

/* Define if multiple weak symbols may be defined */
/* #undef HAVE_MULTIPLE_PRAGMA_WEAK */

/* Define if a name publishing service is available */
#define HAVE_NAMEPUB_SERVICE 1

/* define if the compiler implements namespaces */
#define HAVE_NAMESPACES 1

/* Define if the Fortran types are not available in C */
/* #undef HAVE_NO_FORTRAN_MPI_TYPES_IN_C */

/* Cray style weak pragma */
/* #undef HAVE_PRAGMA_CRI_DUP */

/* HP style weak pragma */
/* #undef HAVE_PRAGMA_HP_SEC_DEF */

/* Supports weak pragma */
/* #undef HAVE_PRAGMA_WEAK */

/* Define to 1 if you have the <pthread.h> header file. */
/*#define HAVE_PTHREAD_H 1*/

/* Define to 1 if you have the `pthread_yield' function. */
/* #undef HAVE_PTHREAD_YIELD */

/* Define if ROMIO is enabled */
/* #undef HAVE_ROMIO */

/* Define to 1 if you have the `sched_yield' function. */
/*#define HAVE_SCHED_YIELD 1*/

/* Define to 1 if you have the <search> header file. */
/* #undef HAVE_SEARCH */

/* Define to 1 if you have the `select' function. */
#define HAVE_SELECT 1

/* Define to 1 if you have the `setitimer' function. */
/* #undef HAVE_SETITIMER */

/* Define to 1 if you have the `sleep' function. */
#define HAVE_SLEEP 1

/* Define to 1 if you have the `snprintf' function. */
#define HAVE_SNPRINTF

/* Define to 1 if you have the <stdarg.h> header file. */
#define HAVE_STDARG_H

/* Define to 1 if you have the <stddef.h> header file. */
#define HAVE_STDDEF_H 1

/* Define to 1 if you have the <stdint.h> header file. */
/* #undef HAVE_STDINT_H */

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strdup' function. */
#define HAVE_STRDUP 1

/* Define to 1 if you have the `strerror' function. */
#ifndef HAVE_STRERROR
#define HAVE_STRERROR 1
#endif

/* Define to 1 if you have the <strings.h> header file. */
/* #undef HAVE_STRINGS_H */

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H

/* Define if sys/bitypes.h exists */
/* #undef HAVE_SYS_BITYPES_H */

/* Define to 1 if you have the <sys/socket.h> header file. */
/*#define HAVE_SYS_SOCKET_H 1*/

/* Define to 1 if you have the <sys/stat.h> header file. */
/* #undef HAVE_SYS_STAT_H */

/* Define to 1 if you have the <sys/time.h> header file. */
/*#define HAVE_SYS_TIME_H 1*/

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define if you have the <sys/uio.h> header file. */
/*#define HAVE_SYS_UIO_H 1*/

/* Define to 1 if you have the <thread.h> header file. */
/* #undef HAVE_THREAD_H */

/* Define to 1 if you have the `thr_yield' function. */
/* #undef HAVE_THR_YIELD */

/* define to enable timing collection */
/* #undef HAVE_TIMING */

/* Define to 1 if you have the `tsearch' function. */
/* #undef HAVE_TSEARCH */

/* Define to 1 if you have the <unistd.h> header file. */
/* #undef HAVE_UNISTD_H */

/* Define to 1 if you have the `usleep' function. */
/*#define HAVE_USLEEP 1*/

/* Define if we have va_copy */
/* #undef HAVE_VA_COPY */

/* Define to 1 if you have the `vsnprintf' function. */
#define HAVE_VSNPRINTF

/* Define to 1 if you have the `vsprintf' function. */
#define HAVE_VSPRINTF

/* Define to 1 if you have the `yield' function. */
/* #undef HAVE_YIELD */

/* Define if we have __va_copy */
/* #undef HAVE___VA_COPY */

/* Define to perform a fine-grain nesting level check on exit */
/* #undef MPICH_DEBUG_FINE_GRAIN_NESTING */

/* Define to enable handle checking */
/* #undef HAVE_MPICH_DEBUG_HANDLES */

/* Define to compile in optional debugging tests and output */
/* #undef MPICH_DEBUG_INTERNAL */

/* Define to check nesting level on exit */
/* #undef MPICH_DEBUG_NESTING */

/* define to enable error messages */
#define MPICH_ERROR_MSG_LEVEL MPICH_ERROR_MSG_ALL

/* Define as the name of the debugger support library */
/* #undef MPICH_INFODLL_LOC */

/* FIXME: for now always defined regardless of thread support */
#define MPICH_SINGLE_THREADED 

/* Level of thread support selected at compile time */
#ifdef MPICH_MULTITHREADED
#define MPICH_THREAD_LEVEL MPI_THREAD_MULTIPLE
#else
#define MPICH_THREAD_LEVEL MPI_THREAD_SINGLE
#endif

/* C type to use for MPI_INTEGER16 */
/* #undef MPIR_INTEGER16_CTYPE */

/* C type to use for MPI_INTEGER1 */
/* #undef MPIR_INTEGER1_CTYPE */

/* C type to use for MPI_INTEGER2 */
/* #undef MPIR_INTEGER2_CTYPE */

/* C type to use for MPI_INTEGER4 */
/* #undef MPIR_INTEGER4_CTYPE */

/* C type to use for MPI_INTEGER8 */
/* #undef MPIR_INTEGER8_CTYPE */

/* C type to use for MPI_REAL16 */
/* #undef MPIR_REAL16_CTYPE */

/* C type to use for MPI_REAL4 */
/* #undef MPIR_REAL4_CTYPE */

/* C type to use for MPI_REAL8 */
/* #undef MPIR_REAL8_CTYPE */

/* Define for the 16 bit integer type */
#define MPIU_INT16_T __int16

/* Define for the 32 bit integer type */
#define MPIU_INT32_T __int32

/* Define for the 64 bit integer type */
#define MPIU_INT64_T __int64

/* Set to a type that can express the size of the entire address space */
#define MPIU_SIZE_T unsigned int

/* Define to suppress assertions */
/* #undef NDEBUG */

/* define if pointers must be aligned on pointer boundaries */
/* #undef NEEDS_POINTER_ALIGNMENT_ADJUST */

/* Define if snprintf needs a declaration */
/* #undef NEEDS_SNPRINTF_DECL */

/* Define if strdup needs a declaration */
/* #undef NEEDS_STRDUP_DECL */

/* Define if sys/time.h is required to get timer definitions */
/* #undef NEEDS_SYS_TIME_H */

/* Define if vsnprintf needs a declaration */
/* NEEDS_VSNPRINTF_DECL */

/* Define to the address where bug reports for this package should be sent. */
/* #undef PACKAGE_BUGREPORT */

/* Define to the full name of this package. */
/* #undef PACKAGE_NAME */

/* Define to the full name and version of this package. */
/* #undef PACKAGE_STRING */

/* Define to the one symbol short name of this package. */
/* #undef PACKAGE_TARNAME */

/* Define to the version of this package. */
/* #undef PACKAGE_VERSION */

/* The size of a `char', as computed by sizeof. */
#define SIZEOF_CHAR 1

/* The size of a `double', as computed by sizeof. */
#define SIZEOF_DOUBLE 8

/* Define size of PAC_TYPE_NAME */
#define SIZEOF_F77_DOUBLE_PRECISION 8

/* Define size of PAC_TYPE_NAME */
#define SIZEOF_F77_INTEGER 4

/* Define size of PAC_TYPE_NAME */
#define SIZEOF_F77_REAL 4

/* The size of a `float', as computed by sizeof. */
#define SIZEOF_FLOAT 4

/* The size of a `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* define if sizeof(int) = sizeof(void*) */
/* #undef SIZEOF_INT_IS_AINT */

/* The size of a `long', as computed by sizeof. */
#define SIZEOF_LONG 4

/* The size of a `long double', as computed by sizeof. */
#define SIZEOF_LONG_DOUBLE 12

/* The size of a `long long', as computed by sizeof. */
/*#define SIZEOF_LONG_LONG 8*/

/* The size of a `short', as computed by sizeof. */
#define SIZEOF_SHORT 2

/* The size of a `void *', as computed by sizeof. */
#define SIZEOF_VOID_P 8

/* The size of a `wchar_t', as computed by sizeof. */
#define SIZEOF_WCHAR_T 2

/* Define calling convention */
/* #undef STDCALL */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define if performing coverage tests */
/* #undef USE_COVERAGE */

/* Define to enable logging macros */
/* #undef USE_DBG_LOGGING */

/* Define if file should be used for name publisher */
/* #undef USE_FILE_FOR_NAMEPUB */

/* Define if using gcc and g77 together */
/* #undef USE_GCC_G77_DECLS */

/* Define to use ='s and spaces in the string utilities. */
#define USE_HUMAN_READABLE_TOKENS 1

/* Define if ldap should be used for name publishing */
/* #undef USE_LDAP_FOR_NAMEPUB */

/* define to choose logging library */
/* #undef USE_LOGGING */

/* Define to enable memory tracing */
/* #undef USE_MEMORY_TRACING */

/* Define if the NMPI names should use MPI instead of PMPI */
/* #undef USE_MPI_FOR_NMPI */

/* Multi-threaded implementation selected at compile time */
#ifdef MPICH_MULTITHREADED
#define USE_THREAD_IMPL MPICH_THREAD_IMPL_GLOBAL_MUTEX
#else
#define USE_THREAD_IMPL MPICH_THREAD_IMPL_NONE
#endif

/* Thread package selected at configure time */
#ifdef MPICH_MULTITHREADED
#define USE_THREAD_PKG MPICH_THREAD_PKG_POSIX /* MPICH_THREAD_PKG_WINTHREADS */
#else
#define USE_THREAD_PKG MPICH_THREAD_PKG_NONE
#endif

/* Define if tsearch requires char pointers */
/* #undef USE_TSEARCH_WITH_CHARP */

/* Define if weak symbols should be used */
/* #undef USE_WEAK_SYMBOLS */

/* Define if words are little endian */
#define WORDS_LITTLEENDIAN 1

/* define if bool is a built-in type */
/* bool */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* if C does not support restrict */
#define restrict

/* if C does not support volatile */
/* #undef volatile */

#define HAVE_PROCESS_H
#ifndef HAVE_WINDOWS_H
#define HAVE_WINDOWS_H
#endif
#define HAVE_WINDOWS_SOCKET
#define HAVE_WINSOCK2_H
#define HAVE_WIN32_SLEEP
#define HAVE_NT_LOCKS
#define HAVE_MAPVIEWOFFILE
#define HAVE_CREATEFILEMAPPING
#define HAVE_INTERLOCKEDEXCHANGE
#define HAVE_BOOL
#define HAVE_CRTDBG_H

#define snprintf _snprintf
#define vsnprintf _vsnprintf
#define inline __inline

#define WITH_SOCK_TYPE SOCK_IOCP

/* Define if building mpich in development mode */
#define MPICH_DEV_BUILD
/*#define MPICH_DBG_OUTPUT*/
#ifndef HAVE_ERROR_HANDLING
#define HAVE_ERROR_HANDLING 1
#endif

/*#define MPICH_MPI_FROM_PMPI*/
#define USE_PROCESS_LOCKS 1
#define USE_THREAD_PACKAGE
#define USE_WINTHREADS
#ifndef HAVE_INT64
#define HAVE_INT64 1
#define HAVE_PTRTOLONG
#define HAVE_PTRTOINT
#define HAVE_PTRTOAINT
#define HAVE_LONGTOPTR
#define HAVE_INTTOPTR
#define HAVE_AINTTOPTR
#endif
/* Define to #define MPIR_F_TRUE/FALSE to F77_TRUE/FALSE_VALUE */
#define F77_USE_BOOLEAN_LITERALS 1
#define HAVE_MPICHCONF

#define USE_UNIFIED_PACKET_FORMAT 1

#endif
