/*   Copyright (C) 2009 Deino Software. */

#include "mpiimpl.h"

/* Not quite correct, but much closer for MPI2 */
/* TODO: still needs to handle partial datatypes and situations where the mpi
 * implementation fills status with something other than bytes (globus2 might
 * do this) */
#undef FUNCNAME
#define FUNCNAME MPIR_Status_set_bytes
int MPIR_Status_set_bytes(MPI_Status *status, MPI_Datatype datatype, int nbytes)
{
	int mpi_errno = MPI_SUCCESS;
	MPIDI_STATE_DECL(MPID_STATE_MPIR_STATUS_SET_BYTES);

	MPIDI_FUNC_ENTER(MPID_STATE_MPIR_STATUS_SET_BYTES);
	MPIU_UNREFERENCED_ARG(datatype);
	/* it's ok that ROMIO stores number-of-bytes in status, not 
	 * count-of-copies, as long as MPI_GET_COUNT knows what to do */
	if (status != MPI_STATUS_IGNORE)
	{
		NMPI_Status_set_elements(mpi_errno, (status, MPI_BYTE, nbytes));
	}

	MPIDI_FUNC_EXIT(MPID_STATE_MPIR_STATUS_SET_BYTES);
	return mpi_errno;
}
